<div id="products" class="page-layout carded fullwidth inner-scroll">
    <!-- TOP BACKGROUND -->
    <div class="top-bg accent"></div>
    <!-- / TOP BACKGROUND -->
    <!-- CENTER -->
    <div class="center">
        <!-- HEADER -->
        <div class="header accent small" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-sm="row"
            style="max-height: 90px !important; min-height: 90px !important;"
            fxLayoutAlign.gt-sm="space-between center">
            <div class="title">CREATE AN ACCOUNT</div>
        </div>
        <!-- CONTENT CARD -->
        <div class="content-card" style="overflow: auto;
        max-height: 608px;margin-top:-50px;" align="center">
            <div class="col-md-12 col-lg-12" name="registrationFrom" [formGroup]="registrationFrom" novalidate>

                <mat-form-field appearance="outline">
                    <mat-label>Name</mat-label>
                    <input matInput formControlName="name">
                    <mat-icon matSuffix class="secondary-text">person</mat-icon>
                    <mat-error>
                        Name is required
                    </mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline">
                    <mat-label for="role">User Role</mat-label>
                    <mat-select (selectionChange)="selectedrole()" formControlName="role">
                        <mat-option id="role" *ngFor="let r of roles" [value]="r.value">
                            {{r.viewValue}}
                        </mat-option>
                    </mat-select>
                    <mat-icon matSuffix class="secondary-text">person</mat-icon>
                    <mat-error>
                        Role is required
                    </mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline">
                    <mat-label>Mobile Number</mat-label>
                    <input matInput type="text" formControlName="number">
                    <mat-icon matSuffix class="secondary-text">phone</mat-icon>
                    <mat-error *ngIf="registrationFrom.get('number').hasError('pattern')">
                        Please Enter Proper Mobile Number
                    </mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline">
                    <mat-label>Email.</mat-label>
                    <input matInput formControlName="email">
                    <mat-icon matSuffix class="secondary-text">email</mat-icon>
                    <mat-error *ngIf="registrationFrom.get('email').hasError('required')">
                        Email is required
                    </mat-error>
                    <mat-error *ngIf="!registrationFrom.get('email').hasError('required') &&
                 registrationFrom.get('email').hasError('email')">
                        Please enter a valid email address
                    </mat-error>
                </mat-form-field>


                <!-- <mat-form-field appearance="outline">
                    <mat-label>Business Id</mat-label>
                    <input matInput type="number" formControlName="society_id">
                    <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    <mat-error>
                        Business Id is required
                    </mat-error>
                </mat-form-field> -->

                <mat-form-field appearance="outline" floatLabel="always">
                    <mat-label>Business Title</mat-label>
                    <input type="text" placeholder="Enter Business Title" aria-label="Number" matInput
                        formControlName="society_id" [matAutocomplete]="auto">
                    <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete" [displayWith]="displayFn">
                        <mat-option *ngFor="let business of filteredBusiness | async" [value]="business">
                            {{business.title}}
                        </mat-option>
                    </mat-autocomplete>
                </mat-form-field>



                <mat-form-field appearance="outline">
                    <mat-label>Password</mat-label>
                    <input matInput type="{{password_type}}" formControlName="password">
                    <mat-icon (click)="showPassword()" matSuffix class="secondary-text">{{password_icon1}}
                    </mat-icon>
                    <mat-error>
                        Password is required
                    </mat-error>
                </mat-form-field>


                <mat-form-field appearance="outline">
                    <mat-label>Confirm Password</mat-label>
                    <input matInput type="{{confirmPassword_type}}" formControlName="confirmPassword">
                    <mat-icon (click)="showConfirmPassword()" matSuffix class="secondary-text">{{password_icon2}}
                    </mat-icon>
                    <mat-error>
                        Please Confirm Password
                    </mat-error>
                </mat-form-field>

                <!-- <mat-form-field appearance="outline">
                    <mat-label for="role">User Role</mat-label>
                    <mat-select>
                        <mat-option *ngFor="let r of roles" [value]="r.value" formControlName="role">
                            {{r.viewValue}}
                        </mat-option>
                    </mat-select>
                    <mat-error>
                        Role is required
                    </mat-error>
                </mat-form-field> -->

            </div>

            <div style="margin-bottom: 50px;padding-right: 10%;">
                <button mat-raised-button style="float: right;" color="accent" class="submit-button"
                    aria-label="CREATE AN ACCOUNT" [disabled]="registrationFrom.invalid" (click)="register()">
                    CREATE AN ACCOUNT
                </button>
            </div>

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->

</div>